﻿@using DPUWebPhet10.Helpers
@model DPUWebPhet10.Models.Round1ReportModelCriteria
@using PagedList.Mvc;
@{
    Layout = "~/Views/Shared/_Managementlayout.cshtml";
}
@{
    <div class="full_w" style="width:850px">
        <div class="h_title">
            Manage pages - รายงานติดบอร์ดแยกตามห้องสอบ</div>
        @using (Html.BeginForm("Round1Report02", "Report"))
        {
            <p>
                @Html.Label("เลือกช่วงชั้น")
                @Html.DropDownListFor(model => model.studentLevel, new SelectList(
                      new List<Object>{ 
                           new { value = 0 , text = "-- ทั้งหมด --"  },
                           new { value = 1 , text = "ช่วงชั้นที่ 1 ประถมศึกษาปีที่ 1-3"  },
                           new { value = 2 , text = "ช่วงชั้นที่ 2 ประถมศึกษาปีที่ 4-6" },
                           new { value = 3 , text = "ช่วงชั้นที่ 3 มัธยมศึกษาปีที่ 1-3"},
                           new { value = 4 , text = "ช่วงชั้นที่ 4 มัธยมศึกษาปีที่ 4-6"},
                           new { value = 5 , text = "อุดมศึกษา"}
                        },
                      "value",
                      "text",
                                      0), new { style = "width: 200px" })
            </p>
@*            <p id="roomCri">
                <label>
                    ห้อง : <span>
                    @if(@Model.roomNo == 0){
                        @Html.Label("-")
                    }else
                        {
                         @Model.roomNo
                        }
                    </span>
                </label>
            </p>*@
            <p id="roomCri1">
                <label>
                    ห้อง :
                </label>
                <select id="roomNo" name="roomNo" style="width: 142px">
                </select>
            </p>
            <p>
                <button type="submit" class="button add">
                    แสดง</button>
            </p>
            

            <div class="sep">
            </div>

        }
        @if (Model.reports != null)
        {
            
            <table style="width:830px">
                <thead>
                    <tr>
                        <th>
                            ลำดับที่
                        </th>
                        <th>
                            เลขประจำตัวสอบ
                        </th>
                        <th>
                            ชื่อ-นามสกุล
                        </th>
                        <th>
                            โรงเรียน
                        </th>
                        <th>
                            จังหวัด
                        </th>
                        <th>
                            คะแนน
                        </th>
                        <th>
                            หมายเหตุ
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var result in Model.reports)
                    {
                        <tr>
                            <td>
                                @result.seq
                            </td>
                            <td>@result.studentCode
                            </td>
                            <td>@result.studentFullName
                            </td>
                            <td>@result.schoolName
                            </td>
                            <td>@result.province
                            </td>
                            <td>@result.round1score
                            </td>
                            <td>@result.remark
                            </td>
                        </tr>

                    }
                </tbody>
            </table>
            
            <div>
                @Html.PagedListPager(
                        Model.reports, page => Url.Action("Round1Report02", new RouteValueDictionary() { { "Page", page }, { "studentLevel", Model.studentLevel } }),
                    PagedListRenderOptions.MinimalWithPageCountText)
            </div>
            

                    if (Model.reports.Count > 0)
                    {
            <div class="entry" style="text-align: right; vertical-align: top;">
                <div class="sep">
                </div>
                <span style="font-weight: bolder;">
                    @Html.Label("เลือกรูปแบบไฟล์")
                </span>
                @Html.ActionImage("Round1Report2Export", new { studentLevel = Model.studentLevel, exportFormat = 1,roomNo=Model.roomNo }, "~/Images/ico-pdf.png", "Edit")
               @* @Html.ActionImage("Round1Report2Export", new { studentLevel = Model.studentLevel, exportFormat = 2,roomNo=Model.roomNo }, "~/Images/ico-excel.png", "Edit")*@
            </div>
                    }


        }
    </div>

}
@section Scripts {
    <script type="text/javascript" src="/Scripts/jquery.cascadingDropDown.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {

            $("#roomCri").show();
            $("#roomCri1").hide();

            $('#studentLevel').change(function () {
                $("#roomCri").hide();
               // $("#roomCri1").show();
            });

            $("#roomNo").CascadingDropDown("#studentLevel", '/Report/AsyncRoomForLevel',
            {
                promptText: '-- ทั้งหมด --',
                onLoading: function () {
                    $(this).css("background-color", "#ff3");
                },
                onLoaded: function () {
                    $(this).animate({ backgroundColor: '#ffffff' }, 300);
                }
            });
        });
    </script>
}
